# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Class CKEDITOR.dom.domObject

Extends CKEDITOR.event.
Defined in: core/dom/domobject.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.dom.domObject(nativeDomObject) Represents a DOM object.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| $ The native DOM object represented by this class instance.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| equals(object) Determines whether the specified object is equal to the current object.
| getCustomData(key) Gets the value set to a data slot in this object.
| getPrivate()
| setCustomData(key, value) Sets a data slot value for this object.

Methods borrowed from class CKEDITOR.event:
  fire, fireOnce, hasListeners, implementOn, on, removeListener

Class Detail
CKEDITOR.dom.domObject(nativeDomObject)
Since: 3.0
Represents a DOM object. This class is not intended to be used directly. It serves as the base class for other classes representing specific DOM objects.

Parameters:
{Object} nativeDomObject
  A native DOM object.

Field Detail
{Object} $
Since: 3.0
The native DOM object represented by this class instance.

    var element = new CKEDITOR.dom.element( 'span' );
    alert( element.$.nodeType );  // "1"

Method Detail
{Boolean} equals(object)
Since: 3.0
Determines whether the specified object is equal to the current object.

    var doc = new CKEDITOR.dom.document( document );
    alert( doc.equals( CKEDITOR.document ) );  // "true"
    alert( doc == CKEDITOR.document );         // "false"

Parameters:
{Object} object
  The object to compare with the current object.

Returns:
  {Boolean} "true" if the object is equal.

{Object} getCustomData(key)
Since: 3.0
Gets the value set to a data slot in this object.

    var element = new CKEDITOR.dom.element( 'span' );
    alert( element.getCustomData( 'hasCustomData' ) );  // e.g. 'true'

Parameters:
{String} key
  The key used to identify the data slot.

Returns:
  {Object} This value set to the data slot.

See:
  CKEDITOR.dom.domObject.prototype.setCustomData

{Undefined} getPrivate()
Since: 3.0

    NO EXAMPLE AVAILABLE

{CKEDITOR.dom.domObject} setCustomData(key, value)
Since: 3.0
Sets a data slot value for this object. These values are shared by all instances pointing to that same DOM object.

    var element = new CKEDITOR.dom.element( 'span' );
    element.setCustomData( 'hasCustomData', true );

Parameters:
{String} key
  A key used to identify the data slot.
{Object} value
  The value to set to the data slot.

Returns:
  {CKEDITOR.dom.domObject} This DOM object instance.

See:
  CKEDITOR.dom.domObject.prototype.getCustomData

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.